<section class="mx-auto mt-2 mb-5 grid md:grid-cols-[120px_2fr_5fr] md:gap-y-3 competition-timeline">
  <slot />
</section>

<style>
  /*
   * Highlight every row by highlighting 3 columns, then skipping 3 columns
   */
  .competition-timeline > :global(*:nth-child(6n + 1)),
  .competition-timeline > :global(*:nth-child(6n + 2)),
  .competition-timeline > :global(*:nth-child(6n + 3)) {
    background-color: rgb(224 242 254); /* bg-sky-100 */
  }
</style>
